﻿using System;
using System.Runtime.InteropServices;
using System.ComponentModel;
using System.Windows.Forms;
using AddinExpress.MSO;
using Excel = Microsoft.Office.Interop.Excel;
using Word = Microsoft.Office.Interop.Word;
using PowerPoint = Microsoft.Office.Interop.PowerPoint;
using System.Reflection;

namespace adx_xl_cs_comAddin
{
    /// <summary>
    ///   Add-in Express Add-in Module
    /// </summary>
    [GuidAttribute("5F6553A2-ACEC-41D4-880F-68533EFF242C"), ProgId("adx_xl_cs_comAddin.AddinModule")]
    public class AddinModule : AddinExpress.MSO.ADXAddinModule
    {
        public AddinModule()
        {
            Application.EnableVisualStyles();
            InitializeComponent();
            // Please add any initialization code to the AddinInitialize event handler
        }

        private ImageList imageList1;
        private ADXCommandBar adxCommandBar1;
        private ADXCommandBarButton adxCommandBarButton1;
        private ADXWordAppEvents adxWordEvents;
        private ADXRibbonTab adxRibbonTab1;
        private ADXRibbonGroup adxRibbonGroup1;
        private ADXRibbonButtonGroup adxRibbonButtonGroup1;
        private ADXRibbonButton adxRibbonButton1;
        private ADXRibbonOfficeMenu adxRibbonOfficeMenu1;
        private ADXRibbonMenu adxRibbonMenu1;
        private ADXRibbonButton adxRibbonButton3;
        private ADXRibbonButton adxRibbonButton4;
        private ADXRibbonContextMenu adxRibbonContextMenu1;
        private ADXRibbonButton adxRibbonButton2;
        private AddinExpress.PP.ADXPowerPointTaskPanesManager adxPowerPointTaskPanesManager1;
        private AddinExpress.WD.ADXWordTaskPanesManager adxWordTaskPanesManager1;
        private ADXExcelAppEvents adxExcelEvents;
        private ADXBackstageView adxBackstageView1;
        private ADXBackstageTab adxBackstageTab1;
        private ADXBackstageGroup adxBackstageGroup1;
        private ADXBackstageRegularButton adxBackstageRegularButton1;
        private ADXBackstageLayoutContainer adxBackstageLayoutContainer1;
        private ADXBackstageEditBox adxBackstageEditBox1;
        private ADXBackstageGroupButton adxBackstageGroupButton1;
        private ADXBackstageGroup adxBackstageGroup2;
        private ADXBackstagePrimaryMenu adxBackstagePrimaryMenu1;
        private ADXBackstageMenuGroup adxBackstageMenuGroup1;
        private ADXBackstageMenuButton adxBackstageMenuButton1;
        private ADXBackstageMenuButton adxBackstageMenuButton2;
        private ADXBackstageMenuCheckBox adxBackstageMenuCheckBox1;
        private ADXBackstageEditBox adxBackstageEditBox2;
        private ADXBackstageImageControl adxBackstageImageControl1;
        private ADXBackstageGroupBox adxBackstageGroupBox1;
        private ADXBackstageCheckBox adxBackstageCheckBox1;
        private ADXBackstageCheckBox adxBackstageCheckBox2;
        private ADXBackstageRadioGroup adxBackstageRadioGroup1;
        private ADXBackstageItem adxBackstageItem1;
        private ADXBackstageItem adxBackstageItem2;
        private ADXBackstageGroup adxBackstageGroup3;
        private ADXBackstageComboBox adxBackstageComboBox1;
        private ADXBackstageItem adxBackstageItem3;
        private ADXBackstageItem adxBackstageItem4;
        private ADXBackstageItem adxBackstageItem5;
        private ADXBackstageLayoutContainer adxBackstageLayoutContainer2;
        private ADXBackstageEditBox adxBackstageEditBox3;
        private ADXBackstageEditBox adxBackstageEditBox4;
        private ADXBackstageEditBox adxBackstageEditBox5;
        private ADXBackstageLayoutContainer adxBackstageLayoutContainer3;
        private ADXBackstageGroupButton adxBackstageGroupButton2;
        private ADXBackstageHyperlink adxBackstageHyperlink1;
        private ADXBackstageGroupButton adxBackstageGroupButton3;
        private ADXContextMenu adxContextMenuExcel;
        private ADXCommandBarButton adxCommandBarButton3;
        private ADXContextMenu adxContextMenuWord;
        private ADXCommandBarButton adxCommandBarButton4;
        private AddinExpress.XL.ADXExcelTaskPanesManager adxExcelTaskPanesManager1;
        private ADXMainMenu adxMainMenuExcel;
        private ADXCommandBarPopup adxCommandBarPopup1;
        private ADXCommandBarButton adxCommandBarButton5;
        private ADXMainMenu adxMainMenuWord;
        private ADXCommandBarPopup adxCommandBarPopup2;
        private ADXCommandBarButton adxCommandBarButton6;
        private ADXPowerPointAppEvents adxPowerPointEvents;
        private ExcelWorksheetEvents myEventClass = null;
        private AddinExpress.XL.ADXExcelTaskPanesCollectionItem adxExcelTaskPanesCollectionItem1;
        private AddinExpress.PP.ADXPowerPointTaskPanesCollectionItem adxPowerPointTaskPanesCollectionItem1;
        private AddinExpress.WD.ADXWordTaskPanesCollectionItem adxWordTaskPanesCollectionItem1;

        #region Component Designer generated code
        /// <summary>
        /// Required by designer
        /// </summary>
        private System.ComponentModel.IContainer components;

        /// <summary>
        /// Required by designer support - do not modify
        /// the following method
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AddinModule));
            this.imageList1 = new System.Windows.Forms.ImageList(this.components);
            this.adxCommandBar1 = new AddinExpress.MSO.ADXCommandBar(this.components);
            this.adxCommandBarButton1 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxWordEvents = new AddinExpress.MSO.ADXWordAppEvents(this.components);
            this.adxRibbonTab1 = new AddinExpress.MSO.ADXRibbonTab(this.components);
            this.adxRibbonGroup1 = new AddinExpress.MSO.ADXRibbonGroup(this.components);
            this.adxRibbonButtonGroup1 = new AddinExpress.MSO.ADXRibbonButtonGroup(this.components);
            this.adxRibbonButton1 = new AddinExpress.MSO.ADXRibbonButton(this.components);
            this.adxRibbonOfficeMenu1 = new AddinExpress.MSO.ADXRibbonOfficeMenu(this.components);
            this.adxRibbonMenu1 = new AddinExpress.MSO.ADXRibbonMenu(this.components);
            this.adxRibbonButton3 = new AddinExpress.MSO.ADXRibbonButton(this.components);
            this.adxRibbonButton4 = new AddinExpress.MSO.ADXRibbonButton(this.components);
            this.adxRibbonContextMenu1 = new AddinExpress.MSO.ADXRibbonContextMenu(this.components);
            this.adxRibbonButton2 = new AddinExpress.MSO.ADXRibbonButton(this.components);
            this.adxPowerPointTaskPanesManager1 = new AddinExpress.PP.ADXPowerPointTaskPanesManager(this.components);
            this.adxPowerPointTaskPanesCollectionItem1 = new AddinExpress.PP.ADXPowerPointTaskPanesCollectionItem(this.components);
            this.adxWordTaskPanesManager1 = new AddinExpress.WD.ADXWordTaskPanesManager(this.components);
            this.adxWordTaskPanesCollectionItem1 = new AddinExpress.WD.ADXWordTaskPanesCollectionItem(this.components);
            this.adxExcelEvents = new AddinExpress.MSO.ADXExcelAppEvents(this.components);
            this.adxBackstageView1 = new AddinExpress.MSO.ADXBackstageView(this.components);
            this.adxBackstageTab1 = new AddinExpress.MSO.ADXBackstageTab(this.components);
            this.adxBackstageGroup1 = new AddinExpress.MSO.ADXBackstageGroup(this.components);
            this.adxBackstageRegularButton1 = new AddinExpress.MSO.ADXBackstageRegularButton(this.components);
            this.adxBackstageLayoutContainer1 = new AddinExpress.MSO.ADXBackstageLayoutContainer(this.components);
            this.adxBackstageEditBox1 = new AddinExpress.MSO.ADXBackstageEditBox(this.components);
            this.adxBackstageGroupButton1 = new AddinExpress.MSO.ADXBackstageGroupButton(this.components);
            this.adxBackstageGroup2 = new AddinExpress.MSO.ADXBackstageGroup(this.components);
            this.adxBackstagePrimaryMenu1 = new AddinExpress.MSO.ADXBackstagePrimaryMenu(this.components);
            this.adxBackstageMenuGroup1 = new AddinExpress.MSO.ADXBackstageMenuGroup(this.components);
            this.adxBackstageMenuButton1 = new AddinExpress.MSO.ADXBackstageMenuButton(this.components);
            this.adxBackstageMenuButton2 = new AddinExpress.MSO.ADXBackstageMenuButton(this.components);
            this.adxBackstageMenuCheckBox1 = new AddinExpress.MSO.ADXBackstageMenuCheckBox(this.components);
            this.adxBackstageEditBox2 = new AddinExpress.MSO.ADXBackstageEditBox(this.components);
            this.adxBackstageImageControl1 = new AddinExpress.MSO.ADXBackstageImageControl(this.components);
            this.adxBackstageGroupBox1 = new AddinExpress.MSO.ADXBackstageGroupBox(this.components);
            this.adxBackstageCheckBox1 = new AddinExpress.MSO.ADXBackstageCheckBox(this.components);
            this.adxBackstageCheckBox2 = new AddinExpress.MSO.ADXBackstageCheckBox(this.components);
            this.adxBackstageRadioGroup1 = new AddinExpress.MSO.ADXBackstageRadioGroup(this.components);
            this.adxBackstageItem1 = new AddinExpress.MSO.ADXBackstageItem(this.components);
            this.adxBackstageItem2 = new AddinExpress.MSO.ADXBackstageItem(this.components);
            this.adxBackstageGroup3 = new AddinExpress.MSO.ADXBackstageGroup(this.components);
            this.adxBackstageComboBox1 = new AddinExpress.MSO.ADXBackstageComboBox(this.components);
            this.adxBackstageItem3 = new AddinExpress.MSO.ADXBackstageItem(this.components);
            this.adxBackstageItem4 = new AddinExpress.MSO.ADXBackstageItem(this.components);
            this.adxBackstageItem5 = new AddinExpress.MSO.ADXBackstageItem(this.components);
            this.adxBackstageLayoutContainer2 = new AddinExpress.MSO.ADXBackstageLayoutContainer(this.components);
            this.adxBackstageEditBox3 = new AddinExpress.MSO.ADXBackstageEditBox(this.components);
            this.adxBackstageEditBox4 = new AddinExpress.MSO.ADXBackstageEditBox(this.components);
            this.adxBackstageEditBox5 = new AddinExpress.MSO.ADXBackstageEditBox(this.components);
            this.adxBackstageLayoutContainer3 = new AddinExpress.MSO.ADXBackstageLayoutContainer(this.components);
            this.adxBackstageGroupButton2 = new AddinExpress.MSO.ADXBackstageGroupButton(this.components);
            this.adxBackstageHyperlink1 = new AddinExpress.MSO.ADXBackstageHyperlink(this.components);
            this.adxBackstageGroupButton3 = new AddinExpress.MSO.ADXBackstageGroupButton(this.components);
            this.adxContextMenuExcel = new AddinExpress.MSO.ADXContextMenu(this.components);
            this.adxCommandBarButton3 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxContextMenuWord = new AddinExpress.MSO.ADXContextMenu(this.components);
            this.adxCommandBarButton4 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxExcelTaskPanesManager1 = new AddinExpress.XL.ADXExcelTaskPanesManager(this.components);
            this.adxExcelTaskPanesCollectionItem1 = new AddinExpress.XL.ADXExcelTaskPanesCollectionItem(this.components);
            this.adxMainMenuExcel = new AddinExpress.MSO.ADXMainMenu(this.components);
            this.adxCommandBarPopup1 = new AddinExpress.MSO.ADXCommandBarPopup(this.components);
            this.adxCommandBarButton5 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxMainMenuWord = new AddinExpress.MSO.ADXMainMenu(this.components);
            this.adxCommandBarPopup2 = new AddinExpress.MSO.ADXCommandBarPopup(this.components);
            this.adxCommandBarButton6 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxPowerPointEvents = new AddinExpress.MSO.ADXPowerPointAppEvents(this.components);
            // 
            // imageList1
            // 
            this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
            this.imageList1.TransparentColor = System.Drawing.Color.Transparent;
            this.imageList1.Images.SetKeyName(0, "adx.ico");
            this.imageList1.Images.SetKeyName(1, "adx.ico");
            this.imageList1.Images.SetKeyName(2, "adx.ico");
            // 
            // adxCommandBar1
            // 
            this.adxCommandBar1.CommandBarName = "adxCommandBar1";
            this.adxCommandBar1.CommandBarTag = "e3841cc9-48db-42e2-b166-c2b8d3d23911";
            this.adxCommandBar1.Controls.Add(this.adxCommandBarButton1);
            this.adxCommandBar1.Temporary = true;
            this.adxCommandBar1.UpdateCounter = 24;
            // 
            // adxCommandBarButton1
            // 
            this.adxCommandBarButton1.Caption = "My Button";
            this.adxCommandBarButton1.ControlTag = "5038dbb3-add2-4db5-9b17-06f6fe35a4e8";
            this.adxCommandBarButton1.ImageList = this.imageList1;
            this.adxCommandBarButton1.ImageTransparentColor = System.Drawing.Color.Silver;
            this.adxCommandBarButton1.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption;
            this.adxCommandBarButton1.Temporary = true;
            this.adxCommandBarButton1.UpdateCounter = 30;
            // 
            // adxRibbonTab1
            // 
            this.adxRibbonTab1.Caption = "My Ribbon Tab";
            this.adxRibbonTab1.Controls.Add(this.adxRibbonGroup1);
            this.adxRibbonTab1.Id = "adxRibbonTab_55b19c0a4fc24ec2aae8bf258e3b0a22";
            // 
            // adxRibbonGroup1
            // 
            this.adxRibbonGroup1.Caption = "My Ribbon Group";
            this.adxRibbonGroup1.Controls.Add(this.adxRibbonButtonGroup1);
            this.adxRibbonGroup1.Id = "adxRibbonGroup_6071f3e249dc4ddc9e928bdb7e4872a0";
            this.adxRibbonGroup1.ImageTransparentColor = System.Drawing.Color.Transparent;
            // 
            // adxRibbonButtonGroup1
            // 
            this.adxRibbonButtonGroup1.Controls.Add(this.adxRibbonButton1);
            this.adxRibbonButtonGroup1.Id = "adxRibbonButtonGroup_da8a11a74f684852b2474825af45cf7c";
            // 
            // adxRibbonButton1
            // 
            this.adxRibbonButton1.Caption = "My Ribbon Button";
            this.adxRibbonButton1.Id = "adxRibbonButton_5d9f96065ab843e399c7eb774ff69531";
            this.adxRibbonButton1.Image = 0;
            this.adxRibbonButton1.ImageList = this.imageList1;
            this.adxRibbonButton1.ImageTransparentColor = System.Drawing.Color.Silver;
            this.adxRibbonButton1.OnClick += new AddinExpress.MSO.ADXRibbonOnAction_EventHandler(this.adxRibbonButton1_OnClick);
            // 
            // adxRibbonOfficeMenu1
            // 
            this.adxRibbonOfficeMenu1.Controls.Add(this.adxRibbonMenu1);
            this.adxRibbonOfficeMenu1.Ribbons = ((AddinExpress.MSO.ADXRibbons)((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            // 
            // adxRibbonMenu1
            // 
            this.adxRibbonMenu1.Caption = "My Office 2007 Menu";
            this.adxRibbonMenu1.Controls.Add(this.adxRibbonButton3);
            this.adxRibbonMenu1.Controls.Add(this.adxRibbonButton4);
            this.adxRibbonMenu1.Id = "adxRibbonMenu_0ebd475ff33d447091cc339397e8b891";
            this.adxRibbonMenu1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonMenu1.InsertBeforeIdMso = "FileNew";
            this.adxRibbonMenu1.ItemSize = AddinExpress.MSO.ADXRibbonXItemSize.Large;
            this.adxRibbonMenu1.Ribbons = ((AddinExpress.MSO.ADXRibbons)((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            // 
            // adxRibbonButton3
            // 
            this.adxRibbonButton3.Caption = "My Menu Button";
            this.adxRibbonButton3.Description = "Shows/Hides \"My Menu Button 2\"";
            this.adxRibbonButton3.Id = "adxRibbonButton_a87827dabf35451d8c9f9fe7576ee3e7";
            this.adxRibbonButton3.Image = 0;
            this.adxRibbonButton3.ImageList = this.imageList1;
            this.adxRibbonButton3.ImageTransparentColor = System.Drawing.Color.Silver;
            this.adxRibbonButton3.Ribbons = ((AddinExpress.MSO.ADXRibbons)((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            this.adxRibbonButton3.ScreenTip = "This is my sample Office menu item";
            this.adxRibbonButton3.SuperTip = "This is my sample Office menu item";
            // 
            // adxRibbonButton4
            // 
            this.adxRibbonButton4.Caption = "My Menu Button 2";
            this.adxRibbonButton4.Description = "This is my sample Office menu item";
            this.adxRibbonButton4.Id = "adxRibbonButton_6f9cc5be65344ff7b2eb82b892ad8de5";
            this.adxRibbonButton4.Image = 1;
            this.adxRibbonButton4.ImageList = this.imageList1;
            this.adxRibbonButton4.ImageTransparentColor = System.Drawing.Color.Silver;
            this.adxRibbonButton4.Ribbons = ((AddinExpress.MSO.ADXRibbons)((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            this.adxRibbonButton4.ScreenTip = "This is my sample Office menu item";
            this.adxRibbonButton4.SuperTip = "This is my sample Office menu item";
            this.adxRibbonButton4.Visible = false;
            this.adxRibbonButton4.OnClick += new AddinExpress.MSO.ADXRibbonOnAction_EventHandler(this.adxRibbonButton4_OnClick);
            // 
            // adxRibbonContextMenu1
            // 
            this.adxRibbonContextMenu1.ContextMenuNames.AddRange(new string[] {
            "Excel.ContextMenuCell",
            "Excel.ContextMenuCellLayout",
            "Excel.ContextMenuColumn",
            "Excel.ContextMenuColumnLayout",
            "Excel.ContextMenuRow",
            "Excel.ContextMenuRowLayout"});
            this.adxRibbonContextMenu1.Controls.Add(this.adxRibbonButton2);
            this.adxRibbonContextMenu1.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook;
            // 
            // adxRibbonButton2
            // 
            this.adxRibbonButton2.Caption = "My Ribbon Context Menu Item";
            this.adxRibbonButton2.Id = "adxRibbonButton_73c3d00c3b17496d8b9c57b7fcd0c0f4";
            this.adxRibbonButton2.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonButton2.Ribbons = AddinExpress.MSO.ADXRibbons.msrExcelWorkbook;
            // 
            // adxPowerPointTaskPanesManager1
            // 
            this.adxPowerPointTaskPanesManager1.Items.Add(this.adxPowerPointTaskPanesCollectionItem1);
            this.adxPowerPointTaskPanesManager1.SetOwner(this);
            // 
            // adxPowerPointTaskPanesCollectionItem1
            // 
            this.adxPowerPointTaskPanesCollectionItem1.AlwaysShowHeader = true;
            this.adxPowerPointTaskPanesCollectionItem1.Position = AddinExpress.PP.ADXPowerPointTaskPanePosition.Bottom;
            this.adxPowerPointTaskPanesCollectionItem1.TaskPaneClassName = "adx_xl_cs_comAddin.ADXPowerPointTaskPane";
            this.adxPowerPointTaskPanesCollectionItem1.UseOfficeThemeForBackground = true;
            // 
            // adxWordTaskPanesManager1
            // 
            this.adxWordTaskPanesManager1.Items.Add(this.adxWordTaskPanesCollectionItem1);
            this.adxWordTaskPanesManager1.SetOwner(this);
            // 
            // adxWordTaskPanesCollectionItem1
            // 
            this.adxWordTaskPanesCollectionItem1.AlwaysShowHeader = true;
            this.adxWordTaskPanesCollectionItem1.Position = AddinExpress.WD.ADXWordTaskPanePosition.Top;
            this.adxWordTaskPanesCollectionItem1.TaskPaneClassName = "adx_xl_cs_comAddin.ADXWordTaskPane";
            this.adxWordTaskPanesCollectionItem1.UseOfficeThemeForBackground = true;
            // 
            // adxExcelEvents
            // 
            this.adxExcelEvents.SheetSelectionChange += new AddinExpress.MSO.ADXExcelSheet_EventHandler(this.adxExcelEvents_SheetSelectionChange);
            this.adxExcelEvents.SheetActivate += new AddinExpress.MSO.ADXHostActiveObject_EventHandler(this.adxExcelEvents_SheetActivate);
            this.adxExcelEvents.WorkbookActivate += new AddinExpress.MSO.ADXHostActiveObject_EventHandler(this.adxExcelEvents_WorkbookActivate);
            this.adxExcelEvents.WindowActivate += new AddinExpress.MSO.ADXHostWindow_EventHandler(this.Activate);
            this.adxExcelEvents.WindowDeactivate += new AddinExpress.MSO.ADXHostWindow_EventHandler(this.Deactivate);
            // 
            // adxBackstageView1
            // 
            this.adxBackstageView1.Controls.Add(this.adxBackstageTab1);
            this.adxBackstageView1.Id = "adxBackstageView_7171fbe9dff14433ae35772a2de03439";
            this.adxBackstageView1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageTab1
            // 
            this.adxBackstageTab1.Caption = "Sample Scenarios";
            this.adxBackstageTab1.ColumnWidthPercent = 30;
            this.adxBackstageTab1.FirstColumn.Add(this.adxBackstageGroup1);
            this.adxBackstageTab1.FirstColumn.Add(this.adxBackstageGroup2);
            this.adxBackstageTab1.Id = "testArea";
            this.adxBackstageTab1.InsertAfterIdMso = "TabInfo";
            this.adxBackstageTab1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            this.adxBackstageTab1.SecondColumn.Add(this.adxBackstageGroup3);
            // 
            // adxBackstageGroup1
            // 
            this.adxBackstageGroup1.Caption = "Group One";
            this.adxBackstageGroup1.HelperText = "This is helper text for Group One";
            this.adxBackstageGroup1.Id = "adxBackstageGroup_4b851ea24f07434c86874568d51af386";
            this.adxBackstageGroup1.PrimaryItem.Add(this.adxBackstageRegularButton1);
            this.adxBackstageGroup1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            this.adxBackstageGroup1.TopItems.Add(this.adxBackstageLayoutContainer1);
            // 
            // adxBackstageRegularButton1
            // 
            this.adxBackstageRegularButton1.Caption = "Primary Button";
            this.adxBackstageRegularButton1.Id = "adxBackstageRegularButton_166a804aa07f4165b4a1869821732ac1";
            this.adxBackstageRegularButton1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstageRegularButton1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageLayoutContainer1
            // 
            this.adxBackstageLayoutContainer1.Controls.Add(this.adxBackstageEditBox1);
            this.adxBackstageLayoutContainer1.Controls.Add(this.adxBackstageGroupButton1);
            this.adxBackstageLayoutContainer1.Id = "adxBackstageLayoutContainer_52a16d80ef1d4f928ea34e4fd21c5347";
            this.adxBackstageLayoutContainer1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageEditBox1
            // 
            this.adxBackstageEditBox1.Caption = "Sample Edit Box";
            this.adxBackstageEditBox1.Id = "adxBackstageEditBox_d5054040e4394e189dd588816292161c";
            this.adxBackstageEditBox1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            this.adxBackstageEditBox1.Text = "This is sample text";
            this.adxBackstageEditBox1.TextAlign = AddinExpress.MSO.ADXBackstageContentAlignmentStyle.TopRight;
            // 
            // adxBackstageGroupButton1
            // 
            this.adxBackstageGroupButton1.Caption = "Sample Definitive Button";
            this.adxBackstageGroupButton1.Id = "adxBackstageGroupButton_2edf78d807d24b38b70699aec274b59f";
            this.adxBackstageGroupButton1.ImageMso = "FileDocumentInspect";
            this.adxBackstageGroupButton1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstageGroupButton1.IsDefinitive = true;
            this.adxBackstageGroupButton1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageGroup2
            // 
            this.adxBackstageGroup2.Caption = "Group Two";
            this.adxBackstageGroup2.Id = "adxBackstageGroup_2294060c0bb84c76bbbbc22ae40b78f1";
            this.adxBackstageGroup2.PrimaryItem.Add(this.adxBackstagePrimaryMenu1);
            this.adxBackstageGroup2.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            this.adxBackstageGroup2.TopItems.Add(this.adxBackstageEditBox2);
            this.adxBackstageGroup2.TopItems.Add(this.adxBackstageImageControl1);
            this.adxBackstageGroup2.TopItems.Add(this.adxBackstageGroupBox1);
            // 
            // adxBackstagePrimaryMenu1
            // 
            this.adxBackstagePrimaryMenu1.Caption = "DropDown Menu";
            this.adxBackstagePrimaryMenu1.Controls.Add(this.adxBackstageMenuGroup1);
            this.adxBackstagePrimaryMenu1.Id = "adxBackstagePrimaryMenu_6b9ccd526438456f835594bf63c03f31";
            this.adxBackstagePrimaryMenu1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstagePrimaryMenu1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageMenuGroup1
            // 
            this.adxBackstageMenuGroup1.Caption = "adxBackstageMenuGroup1";
            this.adxBackstageMenuGroup1.Controls.Add(this.adxBackstageMenuButton1);
            this.adxBackstageMenuGroup1.Controls.Add(this.adxBackstageMenuButton2);
            this.adxBackstageMenuGroup1.Controls.Add(this.adxBackstageMenuCheckBox1);
            this.adxBackstageMenuGroup1.Id = "adxBackstageMenuGroup_9d5ff09ab0974eda93b76ab19e2e63f8";
            this.adxBackstageMenuGroup1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageMenuButton1
            // 
            this.adxBackstageMenuButton1.Caption = "Button one";
            this.adxBackstageMenuButton1.Id = "adxBackstageMenuButton_17c2c2938bd64e0a947ae4ac1f6d4eb6";
            this.adxBackstageMenuButton1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstageMenuButton1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageMenuButton2
            // 
            this.adxBackstageMenuButton2.Caption = "Button two";
            this.adxBackstageMenuButton2.Id = "adxBackstageMenuButton_7b21680686e84304a1b58de61299e123";
            this.adxBackstageMenuButton2.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstageMenuButton2.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageMenuCheckBox1
            // 
            this.adxBackstageMenuCheckBox1.Caption = "Sample Check Box";
            this.adxBackstageMenuCheckBox1.Id = "adxBackstageMenuCheckBox_4058854e44b64e2495b96b2a71c3232b";
            this.adxBackstageMenuCheckBox1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageEditBox2
            // 
            this.adxBackstageEditBox2.Enabled = false;
            this.adxBackstageEditBox2.Id = "adxBackstageEditBox_871926f5da4c48af8d89bc91878e5dca";
            this.adxBackstageEditBox2.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            this.adxBackstageEditBox2.Text = "Disabled Edit Box";
            // 
            // adxBackstageImageControl1
            // 
            this.adxBackstageImageControl1.Id = "adxBackstageImageControl_170e089fc06a411498747812f25d8a13";
            this.adxBackstageImageControl1.ImageMso = "BlogHomePage";
            this.adxBackstageImageControl1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstageImageControl1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageGroupBox1
            // 
            this.adxBackstageGroupBox1.Caption = "Group Box with Check Boxes and Radio Group";
            this.adxBackstageGroupBox1.Controls.Add(this.adxBackstageCheckBox1);
            this.adxBackstageGroupBox1.Controls.Add(this.adxBackstageCheckBox2);
            this.adxBackstageGroupBox1.Controls.Add(this.adxBackstageRadioGroup1);
            this.adxBackstageGroupBox1.Id = "adxBackstageGroupBox_6219fb2287834b14b9a1743142f74efe";
            this.adxBackstageGroupBox1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageCheckBox1
            // 
            this.adxBackstageCheckBox1.Caption = "A Check Box";
            this.adxBackstageCheckBox1.Id = "adxBackstageCheckBox_725bf400ed99456eb0a07ec622533a99";
            this.adxBackstageCheckBox1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageCheckBox2
            // 
            this.adxBackstageCheckBox2.Caption = "Disabled Check Box";
            this.adxBackstageCheckBox2.Enabled = false;
            this.adxBackstageCheckBox2.Id = "adxBackstageCheckBox_2d005bd82cd44ee28f24527421afd323";
            this.adxBackstageCheckBox2.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageRadioGroup1
            // 
            this.adxBackstageRadioGroup1.Caption = "Nested Radio Group";
            this.adxBackstageRadioGroup1.Id = "adxBackstageRadioGroup_ea8888c3f7c14213b6df6b485ee4f480";
            this.adxBackstageRadioGroup1.Items.Add(this.adxBackstageItem1);
            this.adxBackstageRadioGroup1.Items.Add(this.adxBackstageItem2);
            this.adxBackstageRadioGroup1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            this.adxBackstageRadioGroup1.SelectedItemIndex = 0;
            // 
            // adxBackstageItem1
            // 
            this.adxBackstageItem1.Caption = "1st Radio Button";
            this.adxBackstageItem1.Id = "adxBackstageItem_ecca0bca13784e379cd3ce413ff0e51b";
            // 
            // adxBackstageItem2
            // 
            this.adxBackstageItem2.Caption = "2nd Radio Button";
            this.adxBackstageItem2.Id = "adxBackstageItem_08b37671f097435789c7df81cf1d248b";
            // 
            // adxBackstageGroup3
            // 
            this.adxBackstageGroup3.Caption = "Group Three";
            this.adxBackstageGroup3.Id = "adxBackstageGroup_8252a1dda5fb46a5b408bb805f185d84";
            this.adxBackstageGroup3.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            this.adxBackstageGroup3.TopItems.Add(this.adxBackstageComboBox1);
            this.adxBackstageGroup3.TopItems.Add(this.adxBackstageLayoutContainer2);
            this.adxBackstageGroup3.TopItems.Add(this.adxBackstageLayoutContainer3);
            // 
            // adxBackstageComboBox1
            // 
            this.adxBackstageComboBox1.Caption = "Sample Combo Box";
            this.adxBackstageComboBox1.Id = "adxBackstageComboBox_1293904da08e4abcb5d2f12bd0791fa5";
            this.adxBackstageComboBox1.Items.Add(this.adxBackstageItem3);
            this.adxBackstageComboBox1.Items.Add(this.adxBackstageItem4);
            this.adxBackstageComboBox1.Items.Add(this.adxBackstageItem5);
            this.adxBackstageComboBox1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageItem3
            // 
            this.adxBackstageItem3.Caption = "Cat";
            this.adxBackstageItem3.Id = "adxBackstageItem_cd610b5b228b44c0be39829aa043ee93";
            // 
            // adxBackstageItem4
            // 
            this.adxBackstageItem4.Caption = "Dog";
            this.adxBackstageItem4.Id = "adxBackstageItem_0c33408fc4ad4590911ec44bf622d450";
            // 
            // adxBackstageItem5
            // 
            this.adxBackstageItem5.Caption = "Fish";
            this.adxBackstageItem5.Id = "adxBackstageItem_51acc5710bf54708813d520c3f798a7e";
            // 
            // adxBackstageLayoutContainer2
            // 
            this.adxBackstageLayoutContainer2.Controls.Add(this.adxBackstageEditBox3);
            this.adxBackstageLayoutContainer2.Controls.Add(this.adxBackstageEditBox4);
            this.adxBackstageLayoutContainer2.Controls.Add(this.adxBackstageEditBox5);
            this.adxBackstageLayoutContainer2.Id = "adxBackstageLayoutContainer_f1ee7b97ad40455582abcd608f49931d";
            this.adxBackstageLayoutContainer2.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageEditBox3
            // 
            this.adxBackstageEditBox3.Caption = "Part of vertical layout";
            this.adxBackstageEditBox3.Id = "adxBackstageEditBox_3f36d48d6a9c4ccb887478d30a223863";
            this.adxBackstageEditBox3.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageEditBox4
            // 
            this.adxBackstageEditBox4.Caption = "Part of vertical layout";
            this.adxBackstageEditBox4.Id = "adxBackstageEditBox_c89350668c2e47bd8fafda46dfd4a7ff";
            this.adxBackstageEditBox4.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageEditBox5
            // 
            this.adxBackstageEditBox5.Caption = "Part of vertical layout";
            this.adxBackstageEditBox5.Id = "adxBackstageEditBox_c02e2b9e0dfa4b2eb471569eed29f4ba";
            this.adxBackstageEditBox5.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageLayoutContainer3
            // 
            this.adxBackstageLayoutContainer3.ChildrenLayout = AddinExpress.MSO.ADXBackstageChildrenAlignmentStyle.Horizontal;
            this.adxBackstageLayoutContainer3.Controls.Add(this.adxBackstageGroupButton2);
            this.adxBackstageLayoutContainer3.Controls.Add(this.adxBackstageHyperlink1);
            this.adxBackstageLayoutContainer3.Controls.Add(this.adxBackstageGroupButton3);
            this.adxBackstageLayoutContainer3.Id = "adxBackstageLayoutContainer_ba462ba0215941ec88994c52ab3fc3e3";
            this.adxBackstageLayoutContainer3.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageGroupButton2
            // 
            this.adxBackstageGroupButton2.Caption = "Horizontal layout";
            this.adxBackstageGroupButton2.Id = "adxBackstageGroupButton_e098be728edc4378a5d8a5516990bb48";
            this.adxBackstageGroupButton2.ImageMso = "NewAppointment";
            this.adxBackstageGroupButton2.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstageGroupButton2.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageHyperlink1
            // 
            this.adxBackstageHyperlink1.Caption = "You can place a link here";
            this.adxBackstageHyperlink1.Id = "adxBackstageHyperlink_3376e0cc2e224675b37e1d8ae095ddec";
            this.adxBackstageHyperlink1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstageHyperlink1.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxBackstageGroupButton3
            // 
            this.adxBackstageGroupButton3.Caption = "Horizontal layout";
            this.adxBackstageGroupButton3.Id = "adxBackstageGroupButton_a97658cbdff842b496c9c6df97223d6c";
            this.adxBackstageGroupButton3.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstageGroupButton3.Ribbons = ((AddinExpress.MSO.ADXRibbons)(((AddinExpress.MSO.ADXRibbons.msrExcelWorkbook | AddinExpress.MSO.ADXRibbons.msrWordDocument) 
            | AddinExpress.MSO.ADXRibbons.msrPowerPointPresentation)));
            // 
            // adxContextMenuExcel
            // 
            this.adxContextMenuExcel.CommandBarName = "ActiveX Control";
            this.adxContextMenuExcel.CommandBarTag = "00c37a3e-9a6e-4cc6-ba05-b4ae86bf7098";
            this.adxContextMenuExcel.Controls.Add(this.adxCommandBarButton3);
            this.adxContextMenuExcel.SupportedApp = AddinExpress.MSO.ADXOfficeHostApp.ohaExcel;
            this.adxContextMenuExcel.SupportedApps = AddinExpress.MSO.ADXOfficeHostApp.ohaExcel;
            this.adxContextMenuExcel.UpdateCounter = 21;
            // 
            // adxCommandBarButton3
            // 
            this.adxCommandBarButton3.BeforeID = 21;
            this.adxCommandBarButton3.Caption = "My Context Menu Item";
            this.adxCommandBarButton3.ControlTag = "6a0c07d0-3d4c-40df-86df-ac2ba20cecff";
            this.adxCommandBarButton3.ImageList = this.imageList1;
            this.adxCommandBarButton3.ImageTransparentColor = System.Drawing.Color.Silver;
            this.adxCommandBarButton3.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption;
            this.adxCommandBarButton3.Temporary = true;
            this.adxCommandBarButton3.UpdateCounter = 21;
            this.adxCommandBarButton3.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.DefaultAction);
            // 
            // adxContextMenuWord
            // 
            this.adxContextMenuWord.CommandBarName = "ActiveX Control";
            this.adxContextMenuWord.CommandBarTag = "d69ad63e-6687-4908-9be3-9baf384e740b";
            this.adxContextMenuWord.Controls.Add(this.adxCommandBarButton4);
            this.adxContextMenuWord.SupportedApp = AddinExpress.MSO.ADXOfficeHostApp.ohaWord;
            this.adxContextMenuWord.SupportedApps = AddinExpress.MSO.ADXOfficeHostApp.ohaWord;
            this.adxContextMenuWord.UpdateCounter = 21;
            // 
            // adxCommandBarButton4
            // 
            this.adxCommandBarButton4.BeforeID = 21;
            this.adxCommandBarButton4.Caption = "My Context Menu Item";
            this.adxCommandBarButton4.ControlTag = "706667b0-6126-4f0e-a167-8a347f1a7e82";
            this.adxCommandBarButton4.ImageList = this.imageList1;
            this.adxCommandBarButton4.ImageTransparentColor = System.Drawing.Color.Silver;
            this.adxCommandBarButton4.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption;
            this.adxCommandBarButton4.Temporary = true;
            this.adxCommandBarButton4.UpdateCounter = 20;
            this.adxCommandBarButton4.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.DefaultAction);
            // 
            // adxExcelTaskPanesManager1
            // 
            this.adxExcelTaskPanesManager1.Items.Add(this.adxExcelTaskPanesCollectionItem1);
            this.adxExcelTaskPanesManager1.SetOwner(this);
            // 
            // adxExcelTaskPanesCollectionItem1
            // 
            this.adxExcelTaskPanesCollectionItem1.AlwaysShowHeader = true;
            this.adxExcelTaskPanesCollectionItem1.Position = AddinExpress.XL.ADXExcelTaskPanePosition.Right;
            this.adxExcelTaskPanesCollectionItem1.TaskPaneClassName = "adx_xl_cs_comAddin.ADXExcelTaskPane";
            this.adxExcelTaskPanesCollectionItem1.UseOfficeThemeForBackground = true;
            // 
            // adxMainMenuExcel
            // 
            this.adxMainMenuExcel.CommandBarName = "Worksheet Menu Bar";
            this.adxMainMenuExcel.CommandBarTag = "64db414b-37f5-4350-b108-1fca13120cb2";
            this.adxMainMenuExcel.Controls.Add(this.adxCommandBarPopup1);
            this.adxMainMenuExcel.SupportedApp = AddinExpress.MSO.ADXOfficeHostApp.ohaExcel;
            this.adxMainMenuExcel.SupportedApps = AddinExpress.MSO.ADXOfficeHostApp.ohaExcel;
            this.adxMainMenuExcel.UpdateCounter = 18;
            // 
            // adxCommandBarPopup1
            // 
            this.adxCommandBarPopup1.Caption = "File";
            this.adxCommandBarPopup1.Controls.Add(this.adxCommandBarButton5);
            this.adxCommandBarPopup1.ControlTag = "91a43a59-0e24-47e6-8733-f4c2475be030";
            this.adxCommandBarPopup1.Id = 30002;
            this.adxCommandBarPopup1.UpdateCounter = 4;
            // 
            // adxCommandBarButton5
            // 
            this.adxCommandBarButton5.BeforeID = 3;
            this.adxCommandBarButton5.BeginGroup = true;
            this.adxCommandBarButton5.Caption = "My Item";
            this.adxCommandBarButton5.ControlTag = "91abd1fb-5d5d-4794-9a96-311cdc252778";
            this.adxCommandBarButton5.ImageList = this.imageList1;
            this.adxCommandBarButton5.ImageTransparentColor = System.Drawing.Color.Silver;
            this.adxCommandBarButton5.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption;
            this.adxCommandBarButton5.UpdateCounter = 18;
            this.adxCommandBarButton5.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.DefaultAction);
            // 
            // adxMainMenuWord
            // 
            this.adxMainMenuWord.CommandBarName = "Menu Bar";
            this.adxMainMenuWord.CommandBarTag = "761becde-0713-453c-938d-1270f80e1b8d";
            this.adxMainMenuWord.Controls.Add(this.adxCommandBarPopup2);
            this.adxMainMenuWord.SupportedApp = AddinExpress.MSO.ADXOfficeHostApp.ohaWord;
            this.adxMainMenuWord.SupportedApps = AddinExpress.MSO.ADXOfficeHostApp.ohaWord;
            this.adxMainMenuWord.UpdateCounter = 14;
            // 
            // adxCommandBarPopup2
            // 
            this.adxCommandBarPopup2.Caption = "File";
            this.adxCommandBarPopup2.Controls.Add(this.adxCommandBarButton6);
            this.adxCommandBarPopup2.ControlTag = "caa67036-1d7d-4fdf-8dc1-b7b6df16c6e0";
            this.adxCommandBarPopup2.Id = 30002;
            this.adxCommandBarPopup2.UpdateCounter = 4;
            // 
            // adxCommandBarButton6
            // 
            this.adxCommandBarButton6.BeforeID = 3;
            this.adxCommandBarButton6.BeginGroup = true;
            this.adxCommandBarButton6.Caption = "My Item";
            this.adxCommandBarButton6.ControlTag = "de13b803-1007-42b6-94f5-6b8f9bb8273f";
            this.adxCommandBarButton6.ImageList = this.imageList1;
            this.adxCommandBarButton6.ImageTransparentColor = System.Drawing.Color.Silver;
            this.adxCommandBarButton6.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption;
            this.adxCommandBarButton6.UpdateCounter = 18;
            this.adxCommandBarButton6.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.DefaultAction);
            // 
            // AddinModule
            // 
            this.AddinName = "adx_xl_cs_comAddin";
            this.SupportedApps = ((AddinExpress.MSO.ADXOfficeHostApp)(((AddinExpress.MSO.ADXOfficeHostApp.ohaExcel | AddinExpress.MSO.ADXOfficeHostApp.ohaWord) 
            | AddinExpress.MSO.ADXOfficeHostApp.ohaPowerPoint)));

        }
        #endregion

        #region Add-in Express automatic code

        // Required by Add-in Express - do not modify
        // the methods within this region

        public override System.ComponentModel.IContainer GetContainer()
        {
            if (components == null)
                components = new System.ComponentModel.Container();
            return components;
        }

        [ComRegisterFunctionAttribute]
        public static void AddinRegister(Type t)
        {
            AddinExpress.MSO.ADXAddinModule.ADXRegister(t);
        }

        [ComUnregisterFunctionAttribute]
        public static void AddinUnregister(Type t)
        {
            AddinExpress.MSO.ADXAddinModule.ADXUnregister(t);
        }

        public override void UninstallControls()
        {
            base.UninstallControls();
        }

        #endregion

        public static new AddinModule CurrentInstance
        {
            get
            {
                return AddinExpress.MSO.ADXAddinModule.CurrentInstance as AddinModule;
            }
        }

        public Excel._Application ExcelApp
        {
            get
            {
                return (HostApplication as Excel._Application);
            }
        }

        public Word._Application WordApp
        {
            get
            {
                return (HostApplication as Word._Application);
            }
        }

        public PowerPoint._Application PowerPointApp
        {
            get
            {
                return (HostApplication as PowerPoint._Application);
            }
        }

        private void DefaultAction(object sender)
        {
            MessageBox.Show(GetInfoString());
        }

        internal string GetInfoString()
        {
            Object activeWindow = null;
            try
            {
                activeWindow = HostApplication.GetType().InvokeMember("ActiveWindow", BindingFlags.GetProperty, null, HostApplication, null);
            }
            catch { }

            string s = "No Window found!";
            if (activeWindow != null)
            {
                switch (HostType)
                {
                    case ADXOfficeHostApp.ohaExcel:
                        Excel.Window excelWindow = activeWindow as Excel.Window;
                        Excel.Range cell = excelWindow.ActiveCell;
                        s = "The current cell is " + cell.get_AddressLocal(
                            false,
                            false,
                            Excel.XlReferenceStyle.xlA1, null, null); //relative address
                        Marshal.ReleaseComObject(cell);
                        Marshal.ReleaseComObject(excelWindow);
                        break;
                    case ADXOfficeHostApp.ohaWord:
                        Word.Window wordWindow = activeWindow as Word.Window;
                        Word.Selection wordSelection = wordWindow.Selection;
                        Word.Range range = wordSelection.Range;
                        Word.Words words = range.Words;
                        s = "There are " + words.Count.ToString() +
                            " words currently selected";
                        Marshal.ReleaseComObject(wordSelection);
                        Marshal.ReleaseComObject(range);
                        Marshal.ReleaseComObject(words);
                        Marshal.ReleaseComObject(wordWindow);
                        break;
                    case ADXOfficeHostApp.ohaPowerPoint:
                        PowerPoint.DocumentWindow powerpointWindow = activeWindow as PowerPoint.DocumentWindow;
                        PowerPoint.Selection powerpointSelection = powerpointWindow.Selection;
                        PowerPoint.SlideRange slideRange = powerpointSelection.SlideRange;
                        s = "There are " + slideRange.Count.ToString() + " slides currently selected";
                        Marshal.ReleaseComObject(slideRange);
                        Marshal.ReleaseComObject(powerpointSelection);
                        Marshal.ReleaseComObject(powerpointWindow);
                        break;
                    default:
                        s = this.AddinName + " doesn't support " + this.HostName;
                        break;
                }
            }
            return s;
        }

        private void Activate(object sender, object hostObj, object window)
        {
            adxCommandBarButton1.Enabled = true;
            switch (HostType)
            {
                case ADXOfficeHostApp.ohaExcel:
                    RefreshTaskPane();
                    if (myEventClass != null)
                    {
                        if (myEventClass.IsConnected) myEventClass.RemoveConnection();
                        myEventClass.ConnectTo(this.ExcelApp.ActiveSheet, true); //true means the event class will release the COM object
                    }
                    break;
                case ADXOfficeHostApp.ohaWord:
                    RefreshTaskPane();
                    break;
                case ADXOfficeHostApp.ohaPowerPoint:
                    RefreshTaskPane();
                    break;
                default:
                    MessageBox.Show(this.AddinName + " doesn't support " + this.HostName);
                    break;
            }
        }

        private void Deactivate(object sender, object hostObj, object window)
        {
            adxCommandBarButton1.Enabled = false;
            switch (HostType)
            {
                case ADXOfficeHostApp.ohaExcel:
                    if (myEventClass != null)
                    {
                        if (myEventClass.IsConnected) myEventClass.RemoveConnection();
                    }
                    break;
                case ADXOfficeHostApp.ohaWord:
                    break;
                case ADXOfficeHostApp.ohaPowerPoint:
                    break;
                default:
                    MessageBox.Show(this.AddinName + " doesn't support " + this.HostName);
                    break;
            }
        }

        private void RefreshTaskPane()
        {
            switch (this.HostType)
            {
                case ADXOfficeHostApp.ohaExcel:
                    ADXExcelTaskPane excelPane = this.adxExcelTaskPanesCollectionItem1.TaskPaneInstance as ADXExcelTaskPane;
                    if (excelPane != null)
                        excelPane.label1.Text = this.GetInfoString();
                    break;
                case ADXOfficeHostApp.ohaPowerPoint:
                    ADXPowerPointTaskPane powerpointPane = this.adxPowerPointTaskPanesCollectionItem1.TaskPaneInstance as ADXPowerPointTaskPane;
                    if (powerpointPane != null)
                        powerpointPane.label1.Text = this.GetInfoString();
                    break;
                case ADXOfficeHostApp.ohaWord:
                    ADXWordTaskPane wordPane = this.adxWordTaskPanesCollectionItem1.CurrentTaskPaneInstance as ADXWordTaskPane;
                    if (wordPane != null)
                        wordPane.label1.Text = this.GetInfoString();
                    break;
                default:
                    break;
            }
        }

        private void adxRibbonButton1_OnClick(object sender, IRibbonControl control, bool pressed)
        {
            DefaultAction(null);
        }

        private void adxRibbonButton4_OnClick(object sender, IRibbonControl control, bool pressed)
        {
            MessageBox.Show("You've just clicked My Menu Button 2!");
        }

        #region Excel Events

        private void adxExcelEvents_SheetActivate(object sender, object hostObj)
        {
            RefreshTaskPane();
        }

        private void adxExcelEvents_SheetSelectionChange(object sender, object sheet, object range)
        {
            RefreshTaskPane();
        }

        private void adxExcelEvents_WorkbookActivate(object sender, object hostObj)
        {
            RefreshTaskPane();
        }

        #endregion
    }
}

